#!/bin/bash

MACHINENAME=
if [ -f /bin/hostname ]; then
    MACHINENAME=`/bin/hostname`
fi

MACHINEID=
if [ -f /etc/machine-id ]; then
    MACHINEID=`cat /etc/machine-id`
fi

if [ ! -z "${MACHINENAME}" ]; then
    export MACHINENAME
fi

if [ ! -z "${MACHINEID}" ]; then
    export MACHINEID
fi

# Check for /run/host/os-release first, and /etc/os-release as a fallback
source /run/host/os-release || source /etc/os-release

if [[ ${MSFT_MACHINE_ID} == overlake && ${MSFT_IMAGE_ID} == mos ]]; then
    echo "REGION will be manually overriden for MOS. watsonagent can only communicate AnSe in uscentral region on MOS due to lack of ipv6 support in the platform"
    export REGION="uscentral"
fi

/opt/msft/watson/watsonagent --configuration /etc/watsonagent.conf
